package com.yeejoin.amos.boot.module.hygf.biz.excel.impl;

import com.yeejoin.amos.boot.module.hygf.api.Enum.PowerStationProcessStateEnum;
import com.yeejoin.amos.boot.module.hygf.api.mapper.BusinessFieldMapper;
import com.yeejoin.amos.boot.module.hygf.biz.excel.service.IExportPageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class DzjxzServiceImpl implements IExportPageService {
    @Autowired
    private BusinessFieldMapper businessFieldMapper;
    @Override
    public List<String> getStationId(Map<String, Object> filters) {
        Map<String, Object> map = new HashMap<>();
        if (Objects.nonNull(filters)) {
            map.putAll(filters);
        }
        if(!map.containsKey("processStatus"))
        {
            map.put("processStatus", PowerStationProcessStateEnum.进行中.getName());
        }
        return businessFieldMapper.getDzStationIdByProcessStatus(map);
    }
}
